
ChiliProject - Bug # 773: Cmd+Click on Projects and More menus doesn't work

Status: Open Priority: Normal
Author: Holger Just Category: User interface
Created: 2011-12-18 Assignee:
Updated: 2012-05-22 Due date:
Remote issue URL:
Affected version: 3.0.0
Description: Cmd+Click (supposed to open the link in a new tab) on the top menus doesn't work. It seems to swallow the 

click as it does exactly nothing.

Firefox 8.0.1. on OSX 10.6.8

Associated revisions
2008-03-05 12:59 pm - Jean-Philippe Lang 
Fixes #773: Changeset block is smashing the update frame on issues/show.

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1193 e93f8b46-1217-0410-a6f0-8f06a7374b81

History
2012-02-04 09:16 pm - E M
Well, here, on 10.7.3 it does:
# not work with FF ( 9 )
# work with Chrome / Safari

Looking at Firequery, there is no event bound to that a, which and not even to the root element. I expect this to be a CSS menu then? Very odd indeed 
then. 

2012-02-06 02:00 pm - Holger Just
- Target version deleted (3.0.0)

- Affected version set to 3.0.0

This is not a release blocker. Thus I'm postponing this.

2012-05-22 05:26 am - Andrew Smith
This is annoying to me as well. The event is caught in the application.js file around line 563

<pre>
$('#account-nav .drop-down').live('click', function(event) {
    var menuItem = $(this);

    toggleTopMenu(menuItem);

    if (menuItem.hasClass('open')) {
      handleClickEventOnPageToCloseOpenMenu(menuItem);
    }
    return false;
  });
</pre>

Talk about a CSS menu has been mentioned in #764 . Updating the JS could also fix this as well (a simple check to see if ctrl/shift/cmd is being held at 
the same time as the click).
